Subject: RE: [rohc] The discussion on slope(s)

From: [email-masked]
Date: Tue, 30 Nov 2004 11:41:05 -0500

Ghyslian,

> > 1) This seemed to be the conclusion back in March/April, after 
> > a long and good discussion among many people.
> 
> I certainly don't recall such an homogeneous conclusion.
> I think many gave up the discussion because it started
> being venomous.

I don't know why you call the discussion venomous. I have proposed
and most people have been sticking to the technical substance. 
The discussion stopped because there were no more counter
arguments against learned slope. 

> > 3) Technically, the need of implicit slopes have been well explained
> 
> To clarify this, there is no _need_ for this, the current 
> 3095 not having implicit slopes works well. So it is not something that is 
> missing in the specification and that should now be added.

I'd suggest you to read the examples and comment directly on them.

It's clear that different people have different interpretations
of what is "current 3095". Some people implemented learned slope
while others didn't. However, learned slope is not something new. 
It has been discussed and agreed when we wrote up RFC 3095 (see
below). Unfortunately, it was not written clearly enough.

> > 5) Many other issues have already been clarified in 
> > March/April discussion:
> > - The learned slope *was* part of RFC 3095, as agreed among authors:
> > http://www1.ietf.org/mail-archive/web/rohc/current/msg02078.html
> 
> How can you refer to your own mail to state that authors agreed?
> I have definitely heard the opposite from other authors, and I hope
> they will contribute to this thread.

My email has references to earlier email discussions between Mikael 
and me. It demonstrates that learned slope was agreed upon when we were 
writing up the encoding of 3095. We didn't hear disagreement at that
time on the mailing list, including those from other 3095 authors.

BR, Zhigang

> Best regards,
> 
> /Ghyslain
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> > [email-masked]
> > Sent: den 29 november 2004 19:18
> > To: Lars-Erik Jonsson (LU/EAB); [email-masked]
> > Subject: RE: [rohc] The discussion on slope(s)
> > 
> > 
> > Lars-Erik and Others,
> > 
> > I'd like to propose to keep the implicit (or learned) slopes 
> > in 3095 and clarify it in the implementer's guide. It's not
> > a waste of time.
> > 
> > 1) This seemed to be the conclusion back in March/April, after 
> > a long and good discussion among many people.
> > 
> > 2) Resource limitation should not be a problem (if it has been). 
> > I can volunteer to write the clarification text in the 
> > implementer's guide. And I believe there are other people on
> > this list wanting to contribute.
> > 
> > 3) Technically, the need of implicit slopes have been well explained
> > with many examples. The last email on that was between Pawel and me:
> > http://www1.ietf.org/mail-archive/web/rohc/current/msg02138.html.
> > Kamal also agreed with me.
> > http://www1.ietf.org/mail-archive/web/rohc/current/msg02100.html
> > After that, I don't see any emails of counter argument. 
> > 
> > 4) The confusion was not only about implicit slope. It is also
> > about the fundamental encoding of 3095, such as the separation 
> > between scale and compression of scaled TS, the difference between 
> > TS_STRIDE and slope. They should be clarified in the implementer's
> > guide. (I remember I have answered almost every question on the
> > list back in March/April.)
> > 
> > 5) Many other issues have already been clarified in 
> > March/April discussion:
> > - The learned slope *was* part of RFC 3095, as agreed among authors:
> > http://www1.ietf.org/mail-archive/web/rohc/current/msg02078.html
> > - TS can be compressed after scaling or can be compressed 
> > without scaling:
> > http://www1.ietf.org/mail-archive/web/rohc/current/msg02077.html
> > - Why different interpretations didn't catch fire during 
> > inter-op tests?
> > http://www1.ietf.org/mail-archive/web/rohc/current/msg02122.html
> > 
> > BR, Zhigang
> > 
> > > -----Original Message-----
> > > From: [email-masked] 
> > [mailto:[email-masked]]On Behalf Of
> > > ext Lars-Erik Jonsson (LU/EAB)
> > > Sent: 25 November, 2004 05:08 AM
> > > To: [email-masked]'
> > > Subject: [rohc] The discussion on slope(s)
> > > 
> > > 
> > > ROHCers,
> > > 
> > > In Washington DC, we had a discussion about the 3095 slope
> > > problem, which still is an open issue for the implementer's
> > > guide to clarify, if we want to ensure interoperability. My
> > > initial opinion was that the previous discussions on the list
> > > indicated we would have to do a careful study of this to be
> > > able to get consensus, and write a draft explaining both
> > > operations (with and without implicit slopes). However, the
> > > sense of the room I got was that we should not waste too
> > > much effort on this, but actually declare implicit slopes as 
> > > not to be part of 3095, and in the implementer's guide just
> > > point out the text parts of 3095 that caused this confusion
> > > and clarify accordingly. Although I personally agree with
> > > this approach and believe it is the only reasonable way to
> > > go, I will not propose any text for the implementer's guide
> > > before there is consensus to go with the proposed approach.
> > > 
> > > Therefore, I ask for opinions on this, more or less
> > > elaborated. See it as a HUM, with possibility to provide
> > > more details. 
> > > 
> > > To find the previous ROHC list discussion on slopes, please
> > > refer to the archives from March 17 to April 16 this year.
> > > 
> > > This is currently the only open issue for the implementer's
> > > guide and I need your help to get this resolved.
> > > 
> > > Thanks!
> > > /L-E
> > > 
> > > -----------------------------------
> > > Lars-Erik Jonsson, M.Sc.
> > > Senior Research Engineer
> > > Wireless IP Optimizations
> > > AWARE - Advanced Wireless Algorithm Research
> > > Ericsson Research, Corporate Unit
> > > Ericsson AB
> > > Box 920, S-971 28 Luleå, Sweden
> > > E-mail: [email-masked]                      /"\
> > > Phone: +46 8 404 29 61                                      \ /
> > > Fax: +46 920 996 21               ASCII Ribbon Campaign      X
> > > Home: +46 920 999 57           against HTML email & vCards  / \
> > > 
> > > My opinions are my personal opinions and should not be considered
> > > as the opinions of my employer, if not explicitly stated.
> > > 
> > > _______________________________________________
> > > Rohc mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/rohc
> > > 
> > 
> > _______________________________________________
> > Rohc mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/rohc
> > 
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 1 Dec 2004 03:49:11 +0100

> below). Unfortunately, it was not written clearly enough.

Zhigang,

as far as I understand the current discussion, it is not about whether 
3095 is clear about dynamic slopes (it clearly isn't) -- it is about 
whether dynamic slopes made it into 3095 at all.
We have discussed many mechanisms during the development of 3095, not 
all of which made it into the specification.

Let me give an example for a good argument that dynamic slopes are not 
in 3095.
Consider section 6.5.
This section was intended as the basis for future documents describing 
context transfer, so it lists all the state that a compressor/a 
decompressor needs to maintain.
Dynamic slopes are not among this state.

Gruesse, Carsten